|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QHoverEvent Class Reference
[QtGui module]

The QHoverEvent class contains parameters that describe a mouse event. More...

     #include <QHoverEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QHoverEvent ( Type type, const QPoint & pos, const QPoint & oldPos )
- const QPoint & oldPos () const
- const QPoint & pos () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QHoverEvent class contains parameters that describe a mouse event.

Mouse events occur when a mouse cursor is moved into, out of, or within a widget, and if the widget has the Qt::WA_Hover attribute.

The function pos() gives the current cursor position, while oldPos() gives the old mouse position.

## Member Function Documentation

### QHoverEvent::QHoverEvent ( Type type, const QPoint & pos, const QPoint & oldPos )

Constructs a hover event object.

The type parameter must be QEvent::HoverEnter, QEvent::HoverLeave, or QEvent::HoverMove.

The pos is the current mouse cursor's position relative to the receiving widget, while oldPos is the previous mouse cursor's position relative to the receiving widget.

### const QPoint & QHoverEvent::oldPos () const

Returns the previous position of the mouse cursor, relative to the widget that received the event. If there is no previous position, oldPos() will return the same position as pos().

On QEvent::HoverEnter events, this position will always be QPoint(-1, -1).

See also pos().

### const QPoint & QHoverEvent::pos () const

Returns the position of the mouse cursor, relative to the widget that received the event.

On QEvent::HoverLeave events, this position will always be QPoint(-1, -1).

See also oldPos().